Filtering

Most list endpoints support filtering to narrow results. Filters use a dot notation syntax for operators:

Syntax
Operator
Example

?filter[field]=value

Exact match

?filter[status]=active

?filter[field.contains]=value

Contains (case-insensitive)

?filter[email.contains]=gmail

?filter[field.gt]=value

Greater than

?filter[amount.gt]=100

?filter[field.gte]=value

Greater than or equal

?filter[created_at.gte]=2025-01-01

?filter[field.lt]=value

Less than

?filter[amount.lt]=500

?filter[field.lte]=value

Less than or equal

?filter[updated_at.lte]=2025-12-31

?filter[field.in]=value1,value2

In list

?filter[status.in]=active,trialing

?filter[field.nin]=value1,value2

Not in list

?filter[status.nin]=canceled,expired

Complex example:

GET /v2/customers?filter[email.contains]=john&filter[created_at.gte]=2025-01-01&filter[status]=active

This finds active customers with "john" in their email address created after January 1st, 2025.

Last updated